# U.10 Makerspace Homepage Sources

This is the source code of our [U.10 Makerspace Worms Homepage](https://u10.makercloud.de)

It is based on the [Open Source Website of the RUB Makerspace](https://makerspace.ruhr-uni-bochum.de/)

## Project Structure and Functions

This project uses [MkDocs](https://www.mkdocs.org/), a fast, simple and downright gorgeous static site generator that's geared towards building project documentation.

### File Structure

- `mkdocs.yml`: The configuration file for the MkDocs project.
- `docs/`: The directory where all of your documentation is stored in Markdown format.
    - `aktuelles/`: Contains markdown files for current events and news.
    - `assets/`: Contains images and other static files.
    - `bereiche/`: Contains markdown files for different areas of the Makerspace.
    - `js/`: Contains JavaScript files for custom scripts.
    - `kontakt/`: Contains markdown files for contact information.
    - `makerspace_nutzen/`: Contains markdown files for using the Makerspace.
    - `orga/`: Contains individual markdown files for each team member.
    - `snippets/`: Contains markdown files for reusable snippets.
    - `spenden/`: Contains markdown files for donations and sponsors.
    - `stylesheets/`: Contains CSS files for custom styling.
  
    
- `.gitignore`: Specifies files and directories that should be ignored by Git.
- `README.md`: The file you're reading right now.
- `mkdocs.sh`: A shell script to build the MkDocs project locally and start a hot-reload docker environment. Reachable under `http://0.0.0.0:8000/`.


- **Local testing**: MkDocs comes with built-in dev-server (started with `./mkdocs.sh`) that lets you preview your documentation as you work on it. Make changes to your `mkdocs.yml` or your docs and MkDocs will automatically update and refresh your browser.
- **Deployment**: Gitea Actions builds your site and pushes it to the webserver. Push your locally working commit to Gitea and Gitea Actions will do the rest.


Remember, the `docs/` directory is where you should place your documentation source files. These files should be written in Markdown.